Bug 16555 - Managing patron self edits -- non superlibrarians can see patrons for other branches
Summary: Managing patron self edits -- non superlibrarians can see patrons for other b...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-19 14:00 UTC by Barton Chittenden
Modified: 2017-06-14 22:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2016-05-19 14:00:09 UTC
Koha documentation says:

    Note

    Superlibrarians will see modifications for any branch, other staff will
    only see modifications for patrons who belong to their logged in branch.

http://manual.koha-community.org/3.22/en/mangepatronedits.html

However non-superlibrarian staff *can* see patron modification requests from other branches.

To replicate:

1/ In opac, create a self registration request at branch A.
2/ Log in to staff client as non-superlibrarian staff member with 'modify patron' permissions, at branch B.
3/ Note that 'Patrons requesting modifications' on Staff Client Home page will show a request.
4/ Click on 'Patrons requesting modifications'. You will see the request from step 1/.
Comment 1 Jonathan Druart 2016-05-20 17:46:15 UTC
Hi Barton,
See bug 10904, did you check the perf IndependentBranchesPatronModifications?
Comment 2 Christopher Brannon 2016-05-26 15:33:54 UTC
I have confirmed that this setting was the culprit.  I believe Barton submitted this ticket on our behalf.  We did not know about the setting.  I am going to go ahead and mark this as resolved.

Christopher